App\Entity\AnnualEvaluation:
  operations:
    ApiPlatform\Metadata\Get:
      normalizationContext:
        groups: [ 'annual_evaluation:read' ]

    ApiPlatform\Metadata\Post:
      denormalizationContext:
        groups: [ 'annual_evaluation:write' ]
      normalizationContext:
        groups: [ 'annual_evaluation:read' ]
      processor: App\State\Processor\AnnualEvaluation\CreateAnnualEvaluation

    ApiPlatform\Metadata\GetCollection:
      normalizationContext:
        groups: [ 'annual_evaluation:read' ]

    ApiPlatform\Metadata\Put:
      denormalizationContext:
        groups: [ 'annual_evaluation:write' ]
      normalizationContext:
        groups: [ 'annual_evaluation:read' ]

    ApiPlatform\Metadata\Delete:
      output: false 